NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
PHPEd 19 does not start - api-ms-win-crt-runtime-l1-1-0.dll


Joined: 07 May 2014
Posts: 64
Reply with quote
Hi all,

I'm on Win7 64bit, and I've not applied any updates in a loooooong long time. Tried to install PHPEd 19 today and it refuses to run, saying that "api-ms-win-crt-runtime-l1-1-0.dll" is missing from my system.

I know it's related to some of the missing updates. But can it be fixed somehow?

Thanks!
View user's profileFind all posts by temuri416Send private message


Joined: 20 Jan 2010
Posts: 11
Reply with quote
Install the Microsoft Visual C++ 2015 Redistributable package.

https://www.microsoft.com/en-us/download/details.aspx?id=48145
View user's profileFind all posts by JoeMamaSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7885
Reply with quote
As far as I got, temuri416 runs Windows7 without service pack 1 installed.
I tested that case and indeed it appears that there is something wrong with Window 7 if it runs without SP1. I can install ms vs 2015 run-time package even under Windows XP 64bit (which is definitely beyond the advertised compatibility), while win 7 fails to install it until SP1 is installed too. Anyway, MS said you have to have sp1 so be it. It's just one large KB executable, no hassle to install it even offline.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
PHPEd 19 does not start - api-ms-win-crt-runtime-l1-1-0.dll
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic